%global githash 57ef11c


Name:           python-straight.plugin
Version:        1.1.1
Release:        0.1.20111110git%{githash}%{?dist}
Summary:        Python plugin loader

License:        BSD
URL:            https://github.com/ironfroggy/straight.plugin/

# url: https://github.com/ironfroggy/straight.plugin/tarball/57ef11c
Source0:        ironfroggy-straight.plugin-%{githash}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel

%description
straight.plugin is a Python plugin loader inspired by twisted.plugin with two
important distinctions:

 - Fewer dependencies
 - Python 3 compatible

The system is used to allow multiple Python packages to provide plugins within
a namespace package, where other packages will locate and utilize. The plugins
themselves are modules in a namespace package where the namespace identifies
the plugins in it for some particular purpose or intent.

%prep
%setup -q -n ironfroggy-straight.plugin-%{githash}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} tests.py
 
%files
%doc LICENSE README
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Thu Nov 10 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.1-0.1.20111110git57ef11c
- Initial packaging work for Fedora
